#include "snake.h"

int game_loop_time;
int bonus_time;

void game_loop_timer()
{
    game_loop_time++;
}

END_OF_FUNCTION(game_loop_timer);

void bonus_timer()
{
    bonus_time = 1;
}

END_OF_FUNCTION(bonus_timer);

int init_timers()
{
    LOCK_VARIABLE(game_loop_time);
    LOCK_FUNCTION(game_loop_timer);

    LOCK_VARIABLE(bonus_time);
    LOCK_FUNCTION(bonus_timer);
    
    // install the timer and let it go off 100 times per second
    if (install_int(game_loop_timer, 50) < 0)
	return -1;

    if (install_int(bonus_timer, 1000) < 0)
	return -1;
    
    return 0;
}
